Loading...
Searching...
No Matches
RestClientDataProvider::RestClientDataProvider Class Reference

The REST client data provider class, provides API classes as children. More...

`#include <RestClientDataProvider.qc.dox.h>`

Inheritance diagram for RestClientDataProvider::RestClientDataProvider:
[legend]

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (RestClient rest)
| Creates the object from a REST connection.
*list< hash< DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)
Public Member Functions inherited from RestClientDataProvider::RestClientDataProviderBase
| constructor ()
| Creates the object.
| constructor (RestClient::RestClient rest)
| Creates the object.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Static Public Member Functions

static RestClient | getRestConnection (hash< auto > options)
| Returns a REST connection.
static hash< auto > | makeRequest (RestClient rest, string meth, *data body, string path, *hash< auto > hdr)
| Makes a REST request and returns the response.
static hash< auto > | processRestOptions (hash< auto > options)
| Processes common REST options.

## Public Attributes

const | ConstructorOptions
| Constructor arguments.
const | ProviderInfo
| Provider info.

## Protected Member Functions

*AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or NOTHING if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Additional Inherited Members

Protected Attributes inherited from RestClientDataProvider::RestClientDataProviderBase
RestClient::RestClient | rest
| The REST client object.

## Detailed Description

The REST client data provider class, provides API classes as children.

## Member Function Documentation

## getChildProviderImpl()

*AbstractDataProvider RestClientDataProvider::RestClientDataProvider::getChildProviderImpl | ( | string | name | ) |

protected

Returns the given child provider or NOTHING if the given child is unknown.

Returns
  the given child provider or NOTHING if the given child is unknown

See also
  getChildProviderEx()

## getChildProviderNamesImpl()

*list< string > RestClientDataProvider::RestClientDataProvider::getChildProviderNamesImpl | ( |  | ) |

protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any